summaryrefslogtreecommitdiff
path: root/hooks/build-os
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/build-os')
-rwxr-xr-xhooks/build-os/05-preseed-ids7
-rwxr-xr-xhooks/build-os/70-system-config3
2 files changed, 7 insertions, 3 deletions
diff --git a/hooks/build-os/05-preseed-ids b/hooks/build-os/05-preseed-ids
new file mode 100755
index 0000000..c472849
--- /dev/null
+++ b/hooks/build-os/05-preseed-ids
@@ -0,0 +1,7 @@
+#!/bin/bash -xe
+set -o pipefail
+
+# preseed uid / gids:
+for f in group gshadow passwd shadow; do
+ cat files/"$f" > "${root:?}"/etc/"$f"
+done
diff --git a/hooks/build-os/70-system-config b/hooks/build-os/70-system-config
index 38b6f68..ca17bd3 100755
--- a/hooks/build-os/70-system-config
+++ b/hooks/build-os/70-system-config
@@ -1,9 +1,6 @@
#!/bin/bash -xe
set -o pipefail
-## Set a root password
-echo "root:reznor" | chroot "${root:?}" chpasswd
-
## add a default regular user with systemd-homed on firstboot
mkdir -p "${root:?}"/usr/lib/credstore
cat > "${root:?}"/usr/lib/credstore/home.create.trent << EOF